aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pptpclient/APKBUILD
diff options
context:
space:
mode:
authorMikhail Ivko <ivko.mv@gmail.com>2017-03-02 22:24:58 +0700
committerLeonardo Arena <rnalrd@alpinelinux.org>2017-03-03 09:28:28 +0000
commit7cc55139a42bced72aaa63510224fccdb5664f48 (patch)
treee0bb9767abce6fa68c5f3a2fddd760ca862316c7 /testing/pptpclient/APKBUILD
parentfb1363ae44cdbdc6daf0da0974f39ff0f0db9b86 (diff)
downloadaports-7cc55139a42bced72aaa63510224fccdb5664f48.tar.gz
aports-7cc55139a42bced72aaa63510224fccdb5664f48.tar.bz2
aports-7cc55139a42bced72aaa63510224fccdb5664f48.tar.xz
unmaintained/pptpclient: upgrade to 1.9.0, move from unmaintained
Diffstat (limited to 'testing/pptpclient/APKBUILD')
-rw-r--r--testing/pptpclient/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/pptpclient/APKBUILD b/testing/pptpclient/APKBUILD
new file mode 100644
index 0000000000..c5ca7cfb0c
--- /dev/null
+++ b/testing/pptpclient/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Mikhail Ivko <ivko.mv@gmail.com>
+# Maintainer:
+pkgname=pptpclient
+pkgver=1.9.0
+pkgrel=1
+pkgdesc="Client for the proprietary Microsoft Point-to-Point Tunneling Protocol, PPTP."
+url="http://pptpclient.sourceforge.net/"
+arch="all"
+license="GPL"
+depends="ppp-daemon iproute2"
+makedepends="perl-dev"
+subpackages="$pkgname-doc"
+options="!check"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/pptp-$pkgver.tar.gz
+ pptpclient-musl.patch"
+
+prepare() {
+ cd "$srcdir"/pptp-$pkgver
+ patch -p1 -i "$srcdir"/pptpclient-musl.patch || return 1
+ sed -i '/CFLAGS/d' Makefile
+ sed -i 's|\/bin\/ip|\/usr\/sbin\/ip|g' Makefile
+}
+
+build() {
+ cd "$srcdir"/pptp-$pkgver
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/pptp-$pkgver
+ make DESTDIR="$pkgdir" install
+}
+sha512sums="2eefa1cdb45f4fbd2b83fff4d199f2d3868add2577d561061ac692f8bc248d648272f04e5f37158c6c67e4a3c44183eaca4aec4c84745f9a4e4123c35687f814 pptp-1.9.0.tar.gz
+22ee1490fe88e1a993edb9379fefa0ce195ab52f18a064e40d88bb536330c777ace773314989b20044d358c1edfc59085bcea5e953c1f9171d6d95dac614638b pptpclient-musl.patch"